Subject: Re: bug#25038: 25.1; Accent in Windows username prevents Emacs from loading customizations

From: Márton Marczell <[email-masked]>
Date: Sat, 26 Nov 2016 21:57:46 +0100

In both cases it says:
#("C:\\Users\\Márton\\AppData\\Roaming" 0 31 (charset windows-1250))

I configured the file association through the Windows 10 GUI interface as
follows:
1. Doubleclick file with a currently unknown extension.
2. File association dialog comes up. Click "More apps"
3. Scroll down and click "Look for another app on this PC"
4. File open dialog comes up. Browse for "runemacs.exe" and double-click it.
When I look at the "Command Line" column for the currently running program
in Task Manager, it simply shows

"D:\Program Files (x86)\emacs\bin\emacs.exe"

with no arguments other than the filename.

What's worse, it seems completely random whether the error comes up. For
some files it doesn't appear, for some files it does. But if I open the
same file repeatedly it always does the same thing. So for a certain file
it is consistent. It is not dependent on the file extension though.

2016-11-26 21:26 GMT+01:00 Eli Zaretskii <[email-masked]>:

> > Date: Sat, 26 Nov 2016 21:19:01 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> >
> > What do these display:
> >
> >   M-: (user-login-name) RET
> >   M-: (user-real-login-name) RET
> >
> > Please try this both in the session started by clicking a file
> > associated with Emacs and in a session started from the command-line.
>
> And please also do the same with
>
>   M-: (getenv "HOME") RET
>
> Also, please show the command that is configured in the file
> association to invoke Emacs when that file is clicked.
>
> Finally, did this ever work with any previous Emacs version, and with
> a non-ASCII user name?
>